#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySailingaSignRepeatedlyCFGData
{
	//编号
	int mId;
	//天数
	std::string mDay;
	//奖励物品ID
	int mAwardItemID;
	//奖励物品数量
	int mAwardItemCounts;
	//天数
	int mAllDay;
};

class M_ActivitySailingaSignRepeatedlyCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingaSignRepeatedlyCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingaSignRepeatedlyCFGData* GetData(int Id);
	boost::unordered_map<int, M_ActivitySailingaSignRepeatedlyCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySailingaSignRepeatedlyCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySailingaSignRepeatedlyCFGData> mMapData;
};
